import { checkOut,calculateDiscount,ordersAndPrepay,currentUnlicensedPlate,unlicensedCarCheckIn,unlicensedCarCheckout } from '@/api/parking';

export default {
  // 无牌车逻辑
  async unlicensedRule( {commit,dispatch,state},callback ) {
    try {
      // const res = await currentUnlicensedPlate(); // 无牌车查询
      // const res = await unlicensedCarCheckIn({gateId: 1}); // 无牌车入场
      /**
       * CAR_NOT_FOUND 车场扫描道闸入口，发现无车
       * CAR_HAS_PLATE 车场扫描道闸入口，发现有牌车
       */
        // const res = unlicensedCarCheckInResponse;
      const res = await currentUnlicensedPlate();
      console.log('无牌车的查询记录',res);
      commit('setUnlicensedCar',res.vehicleNo);
      // 如果是扫码进入的用户，在出场时需要重新扫码，这时会在此处传入的一个回调函数，在获取到临牌时，返回给 qrCodesRule 函数
      if ( res.vehicleNo && callback ) {
        callback(res.vehicleNo);
      } else {
        callback('error');
      }
    } catch ( err ) {
      console.log(err);
    }
  },
}